Bug 26943 - Show not for loan descriptions in cataloging search (addbooks.pl)
Summary: Show not for loan descriptions in cataloging search (addbooks.pl)
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Cataloging (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Lucas Gass
QA Contact: Testopia
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2020-11-05 19:23 UTC by Andrew Fuerste-Henry
Modified: 2021-02-21 00:17 UTC (History)
8 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Text to go in the release notes:
Adds the ability to see not for loan descriptions in the cataloging search results.
Version(s) released in:
21.05.00,20.11.03,20.05.09


Attachments
Bug 26943: Add notforloan statuses to catalog search (2.94 KB, patch)
2020-11-10 21:24 UTC, Lucas Gass
Details | Diff | Splinter Review
Bug 26943: Add notforloan statuses to catalog search (3.01 KB, patch)
2020-12-02 16:49 UTC, Andrew Fuerste-Henry
Details | Diff | Splinter Review
Bug 26943: Add notforloan statuses to catalog search (3.08 KB, patch)
2021-01-14 20:33 UTC, Andrew Fuerste-Henry
Details | Diff | Splinter Review
Bug 26943: Add notforloan statuses to catalog search (2.96 KB, patch)
2021-01-19 23:40 UTC, Lucas Gass
Details | Diff | Splinter Review
Bug 26943: Add notforloan statuses to catalog search (3.01 KB, patch)
2021-02-07 12:53 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Andrew Fuerste-Henry 2020-11-05 19:23:06 UTC
To recreate:
- create a positive value and a description of "Positive"
- set an item to your "Positive" value
- pull up the related bib in a cataloging search
- confirm it shows "Not for loan" in the Location column
- create a negative value and a description of "Negative"
- set an item to your "Negative" value
- pull up the related bib in a cataloging search
- confirm it shows "On order" in the Location column

We should show the actual display values here, rather than collapsing all positive values into "not for loan" and all negative values into "on order."
Comment 1 Lucas Gass 2020-11-10 21:24:42 UTC
Created attachment 113429 [details] [review]
Bug 26943: Add notforloan statuses to catalog search

- create a positive value and a description of "Positive"
- set an item to your "Positive" value
- pull up the related bib in a cataloging search
- confirm it shows "Not for loan" in the Location column
- create a negative value and a description of "Negative"
- set an item to your "Negative" value
- pull up the related bib in a cataloging search
- confirm it shows "On order" in the Location column
- Apply patch
- re-do the cataloing search, instead of 'Not for loan' or 'On order' you should instead see the actual nfl description
Comment 2 Andrew Fuerste-Henry 2020-12-02 16:49:43 UTC
Created attachment 114105 [details] [review]
Bug 26943: Add notforloan statuses to catalog search

- create a positive value and a description of "Positive"
- set an item to your "Positive" value
- pull up the related bib in a cataloging search
- confirm it shows "Not for loan" in the Location column
- create a negative value and a description of "Negative"
- set an item to your "Negative" value
- pull up the related bib in a cataloging search
- confirm it shows "On order" in the Location column
- Apply patch
- re-do the cataloing search, instead of 'Not for loan' or 'On order' you should instead see the actual nfl description

Signed-off-by: Andrew Fuerste-Henry <andrew@bywatersolutions.com>
Comment 3 Andrew Fuerste-Henry 2021-01-14 20:33:19 UTC
Created attachment 115183 [details] [review]
Bug 26943: Add notforloan statuses to catalog search

- create a positive value and a description of "Positive"
- set an item to your "Positive" value
- pull up the related bib in a cataloging search
- confirm it shows "Not for loan" in the Location column
- create a negative value and a description of "Negative"
- set an item to your "Negative" value
- pull up the related bib in a cataloging search
- confirm it shows "On order" in the Location column
- Apply patch
- re-do the cataloing search, instead of 'Not for loan' or 'On order' you should instead see the actual nfl description

Signed-off-by: Andrew Fuerste-Henry <andrew@bywatersolutions.com>

Signed-off-by: Telishia Mickens <tmickens@gc.edu>
Comment 4 Katrin Fischer 2021-01-17 16:57:28 UTC
Hi Lucas,

a little glitch here: Before every status was on a new line (display:block), now it's inside a new span with a different class, this no longer works and all the status appear on one line which can make the column cell go wide pretty fast.

Can you please fix?
Comment 5 Lucas Gass 2021-01-19 23:40:21 UTC
Created attachment 115376 [details] [review]
Bug 26943: Add notforloan statuses to catalog search

- create a positive value and a description of "Positive"
- set an item to your "Positive" value
- pull up the related bib in a cataloging search
- confirm it shows "Not for loan" in the Location column
- create a negative value and a description of "Negative"
- set an item to your "Negative" value
- pull up the related bib in a cataloging search
- confirm it shows "On order" in the Location column
- Apply patch
- re-do the cataloing search, instead of 'Not for loan' or 'On order' you should instead see the actual nfl description

Signed-off-by: Andrew Fuerste-Henry <andrew@bywatersolutions.com>

Signed-off-by: Telishia Mickens <tmickens@gc.edu>
Comment 6 Lucas Gass 2021-01-19 23:44:03 UTC
Cait,

I see what you mean, to fix it I have simply done same thing as the unavailable right above the notforloan one, I added a <br />. Since its a little change I am keeping Andrew and Telishia's SO lines.
Comment 7 Katrin Fischer 2021-02-07 12:53:15 UTC
Created attachment 116474 [details] [review]
Bug 26943: Add notforloan statuses to catalog search

- create a positive value and a description of "Positive"
- set an item to your "Positive" value
- pull up the related bib in a cataloging search
- confirm it shows "Not for loan" in the Location column
- create a negative value and a description of "Negative"
- set an item to your "Negative" value
- pull up the related bib in a cataloging search
- confirm it shows "On order" in the Location column
- Apply patch
- re-do the cataloing search, instead of 'Not for loan' or 'On order' you should instead see the actual nfl description

Signed-off-by: Andrew Fuerste-Henry <andrew@bywatersolutions.com>

Signed-off-by: Telishia Mickens <tmickens@gc.edu>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 8 Katrin Fischer 2021-02-07 12:53:58 UTC
Thx, Lucas, sorry it took me a while to get back to this.
Comment 9 Jonathan Druart 2021-02-08 15:32:07 UTC
We are "loosing" 2 wordings that are no longer translatable, but I think it's fine.
Comment 10 Katrin Fischer 2021-02-08 15:39:37 UTC
(In reply to Jonathan Druart from comment #9)
> We are "loosing" 2 wordings that are no longer translatable, but I think
> it's fine.

We already do this in the normal serach result lists... so I guess it's consistent.
Comment 11 Jonathan Druart 2021-02-08 16:04:48 UTC
Pushed to master for 21.05, thanks to everybody involved!
Comment 12 Fridolin Somers 2021-02-12 13:54:37 UTC
Small enhancement, I choose to backport.

Pushed to 20.11.x for 20.11.03
Comment 13 Andrew Fuerste-Henry 2021-02-18 13:32:51 UTC
Pushed to 20.05.x for 20.05.09
Comment 14 Victor Grousset/tuxayo 2021-02-21 00:17:09 UTC
Not backported to oldoldstable (19.11.x). Feel free to ask if it's needed.